## r-cran-rpf 1.0.3+dfsg

=== DESCRIPTION ===
Type: Package
Package: rpf
Title: Response Probability Functions
Version: 1.0.3
Date: 2020-02-21
Authors@R: 
    c(person(given = "Joshua",
             family = "Pritikin",
             role = c("cre", "aut"),
             email = "jpritikin@pobox.com"),
      person(given = "Jonathan",
             family = "Weeks",
             role = "ctb",
             email = "weeksjp@gmail.com"),
      person(given = "Li",
             family = "Cai",
             role = "ctb"),
      person(given = "Carrie",
             family = "Houts",
             role = "ctb"),
      person(given = "Phil",
             family = "Chalmers",
             role = "ctb",
             email = "rphilip.chalmers@gmail.com"),
      person(given = c("Michael", "D."),
             family = "Hunter",
             role = "ctb"),
      person(given = c("Carl", "F."),
             family = "Falk",
             role = "ctb",
             email = "falkcarl@msu.edu"))
Maintainer: Joshua Pritikin <jpritikin@pobox.com>
Description: The purpose of this package is to factor out logic
    and math common to Item Factor Analysis fitting, diagnostics, and
    analysis. It is envisioned as core support code suitable for more
    specialized IRT packages to build upon. Complete access to optimized C
    functions are made available with R_RegisterCCallable().
License: GPL (>= 3)
URL: https://github.com/jpritikin/rpf
Depends: methods, parallel, R (>= 2.14.0)
Imports: Rcpp (>= 1.0.2), mvtnorm, lifecycle
Suggests: testthat, roxygen2, ggplot2, reshape2, gridExtra, numDeriv,
        knitr, mirt
LinkingTo: Rcpp, RcppEigen
VignetteBuilder: knitr
RdMacros: lifecycle
Encoding: UTF-8
LazyData: yes
LazyDataCompression: bzip2
RoxygenNote: 7.0.2
SystemRequirements: GNU make
Collate: 'init.R' 'classes.R' 'fit.R' 'drm.R' 'nrm.R' 'mcm.R' 'grm.R'
        'LSAT.R' 'sample.R' 'dataframe.R' 'diagnose.R' 'science.R'
        'kct.R' 'openmx.R' 'flexmirt.R' 'util.R' 'lmp.R' 'grmp.R'
        'gpcmp.R' 'RcppExports.R'
NeedsCompilation: yes
Packaged: 2020-02-21 10:36:46 UTC; joshua
Author: Joshua Pritikin [cre, aut],
  Jonathan Weeks [ctb],
  Li Cai [ctb],
  Carrie Houts [ctb],
  Phil Chalmers [ctb],
  Michael D. Hunter [ctb],
  Carl F. Falk [ctb]
Repository: CRAN
Date/Publication: 2020-02-23 18:10:02 UTC

=== debian/changelog ===
r-cran-rpf (1.0.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends

 -- Dylan Aïssi <daissi@debian.org>  Mon, 24 Feb 2020 06:37:15 +0100

r-cran-rpf (0.62+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Feb 2020 07:37:40 +0100

r-cran-rpf (0.62+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #940640)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Sep 2019 10:55:59 +0200

=== debian/control ===
Source: r-cran-rpf
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 1.0.2),
               r-cran-mvtnorm,
               r-cran-lifecycle,
               r-cran-rcppeigen
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpf.git
Homepage: https://cran.r-project.org/package=rpf

Package: r-cran-rpf
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R response probability functions
 The purpose of this package is to factor out logic and math common
 to Item Factor Analysis fitting, diagnostics, and analysis. It is
 envisioned as core support code suitable for more specialized IRT packages
 to build upon. Complete access to optimized C functions are made available
 with R_RegisterCCallable().

## r-cran-rpf 1.0.4+dfsg

=== debian/changelog ===
r-cran-rpf (1.0.4+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:33:35 +0000

r-cran-rpf (1.0.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 May 2020 08:46:12 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpf.git
 Homepage: https://cran.r-project.org/package=rpf
+Rules-Requires-Root: no
 
 Package: r-cran-rpf
 Architecture: any

## r-cran-rpf 1.0.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: rpf
 Title: Response Probability Functions
-Version: 1.0.3
-Date: 2020-02-21
+Version: 1.0.5
+Date: 2020-09-15
 Authors@R: 
     c(person(given = "Joshua",
              family = "Pritikin",
@@ -35,26 +35,27 @@
     analysis. It is envisioned as core support code suitable for more
     specialized IRT packages to build upon. Complete access to optimized C
     functions are made available with R_RegisterCCallable().
+    This software is described in Pritikin & Falk (2020) <doi:10.1177/0146621620929431>.
 License: GPL (>= 3)
 URL: https://github.com/jpritikin/rpf
 Depends: methods, parallel, R (>= 2.14.0)
 Imports: Rcpp (>= 1.0.2), mvtnorm, lifecycle
 Suggests: testthat, roxygen2, ggplot2, reshape2, gridExtra, numDeriv,
-        knitr, mirt
+        knitr, mirt, markdown
 LinkingTo: Rcpp, RcppEigen
 VignetteBuilder: knitr
 RdMacros: lifecycle
 Encoding: UTF-8
 LazyData: yes
 LazyDataCompression: bzip2
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.0
 SystemRequirements: GNU make
 Collate: 'init.R' 'classes.R' 'fit.R' 'drm.R' 'nrm.R' 'mcm.R' 'grm.R'
         'LSAT.R' 'sample.R' 'dataframe.R' 'diagnose.R' 'science.R'
         'kct.R' 'openmx.R' 'flexmirt.R' 'util.R' 'lmp.R' 'grmp.R'
         'gpcmp.R' 'RcppExports.R'
 NeedsCompilation: yes
-Packaged: 2020-02-21 10:36:46 UTC; joshua
+Packaged: 2020-09-15 19:15:51 UTC; joshua
 Author: Joshua Pritikin [cre, aut],
   Jonathan Weeks [ctb],
   Li Cai [ctb],
@@ -63,4 +64,4 @@
   Michael D. Hunter [ctb],
   Carl F. Falk [ctb]
 Repository: CRAN
-Date/Publication: 2020-02-23 18:10:02 UTC
+Date/Publication: 2020-09-16 04:10:03 UTC

=== debian/changelog ===
r-cran-rpf (1.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 09:18:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 1.0.2),

## r-cran-rpf 1.0.11+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: rpf
 Title: Response Probability Functions
-Version: 1.0.5
-Date: 2020-09-15
+Version: 1.0.11
+Date: 2021-10-19
 Authors@R: 
     c(person(given = "Joshua",
              family = "Pritikin",
@@ -47,15 +47,15 @@
 RdMacros: lifecycle
 Encoding: UTF-8
 LazyData: yes
-LazyDataCompression: bzip2
-RoxygenNote: 7.1.0
+LazyDataCompression: xz
+RoxygenNote: 7.1.1
 SystemRequirements: GNU make
 Collate: 'init.R' 'classes.R' 'fit.R' 'drm.R' 'nrm.R' 'mcm.R' 'grm.R'
         'LSAT.R' 'sample.R' 'dataframe.R' 'diagnose.R' 'science.R'
         'kct.R' 'openmx.R' 'flexmirt.R' 'util.R' 'lmp.R' 'grmp.R'
         'gpcmp.R' 'RcppExports.R'
 NeedsCompilation: yes
-Packaged: 2020-09-15 19:15:51 UTC; joshua
+Packaged: 2021-10-19 21:38:41 UTC; joshua
 Author: Joshua Pritikin [cre, aut],
   Jonathan Weeks [ctb],
   Li Cai [ctb],
@@ -64,4 +64,4 @@
   Michael D. Hunter [ctb],
   Carl F. Falk [ctb]
 Repository: CRAN
-Date/Publication: 2020-09-16 04:10:03 UTC
+Date/Publication: 2021-10-20 05:20:08 UTC

=== debian/changelog ===
r-cran-rpf (1.0.11+dfsg-2) unstable; urgency=medium

  * Rebuild against latest r-base
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 10:48:00 +0100

r-cran-rpf (1.0.11+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.11+dfsg
  * Remove mips.patch, merged upstream

 -- Nilesh Patra <nilesh@debian.org>  Sat, 23 Oct 2021 23:51:42 +0530

r-cran-rpf (1.0.9+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix mips FTBFS (Closes: #987755)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 17:40:16 +0530

r-cran-rpf (1.0.9+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 1.0.9+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Oct 2021 15:32:13 +0000

r-cran-rpf (1.0.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 21:05:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-rpf
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpf
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpf.git
+Homepage: https://cran.r-project.org/package=rpf
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-cran-mvtnorm,
                r-cran-lifecycle,
                r-cran-rcppeigen
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpf
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpf.git
-Homepage: https://cran.r-project.org/package=rpf
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rpf
 Architecture: any

## r-cran-rpf 1.0.14+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: rpf
 Title: Response Probability Functions
-Version: 1.0.11
-Date: 2021-10-19
+Version: 1.0.14
+Date: 2023-08-21
 Authors@R: 
     c(person(given = "Joshua",
              family = "Pritikin",
@@ -30,7 +30,7 @@
              role = "ctb",
              email = "falkcarl@msu.edu"))
 Maintainer: Joshua Pritikin <jpritikin@pobox.com>
-Description: The purpose of this package is to factor out logic
+Description: Factor out logic
     and math common to Item Factor Analysis fitting, diagnostics, and
     analysis. It is envisioned as core support code suitable for more
     specialized IRT packages to build upon. Complete access to optimized C
@@ -48,14 +48,14 @@
 Encoding: UTF-8
 LazyData: yes
 LazyDataCompression: xz
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 SystemRequirements: GNU make
 Collate: 'init.R' 'classes.R' 'fit.R' 'drm.R' 'nrm.R' 'mcm.R' 'grm.R'
         'LSAT.R' 'sample.R' 'dataframe.R' 'diagnose.R' 'science.R'
         'kct.R' 'openmx.R' 'flexmirt.R' 'util.R' 'lmp.R' 'grmp.R'
         'gpcmp.R' 'RcppExports.R'
 NeedsCompilation: yes
-Packaged: 2021-10-19 21:38:41 UTC; joshua
+Packaged: 2023-08-21 18:49:00 UTC; joshua
 Author: Joshua Pritikin [cre, aut],
   Jonathan Weeks [ctb],
   Li Cai [ctb],
@@ -64,4 +64,4 @@
   Michael D. Hunter [ctb],
   Carl F. Falk [ctb]
 Repository: CRAN
-Date/Publication: 2021-10-20 05:20:08 UTC
+Date/Publication: 2023-08-21 23:20:02 UTC

=== debian/changelog ===
r-cran-rpf (1.0.14+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2023 06:22:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-cran-rpf
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-rcpp,
+               r-cran-mvtnorm,
+               r-cran-lifecycle,
+               r-cran-rcppeigen
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpf.git
 Homepage: https://cran.r-project.org/package=rpf
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-rcpp (>= 1.0.2),
-               r-cran-mvtnorm,
-               r-cran-lifecycle,
-               r-cran-rcppeigen
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rpf
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-roxygen2,
        r-cran-ggplot2,
        r-cran-reshape2,
        r-cran-gridextra,
        r-cran-numderiv,
        r-cran-knitr,
        r-cran-markdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/rpf_([-\d.]*)\.tar\.gz

## r-cran-rpf 1.0.15+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Type: Package
 Package: rpf
 Title: Response Probability Functions
-Version: 1.0.14
-Date: 2023-08-21
+Version: 1.0.15
+Date: 2025-05-03
 Authors@R: 
     c(person(given = "Joshua",
              family = "Pritikin",
@@ -48,14 +48,14 @@
 Encoding: UTF-8
 LazyData: yes
 LazyDataCompression: xz
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 SystemRequirements: GNU make
 Collate: 'init.R' 'classes.R' 'fit.R' 'drm.R' 'nrm.R' 'mcm.R' 'grm.R'
         'LSAT.R' 'sample.R' 'dataframe.R' 'diagnose.R' 'science.R'
         'kct.R' 'openmx.R' 'flexmirt.R' 'util.R' 'lmp.R' 'grmp.R'
         'gpcmp.R' 'RcppExports.R'
 NeedsCompilation: yes
-Packaged: 2023-08-21 18:49:00 UTC; joshua
+Packaged: 2025-05-04 06:15:04 UTC; joshua
 Author: Joshua Pritikin [cre, aut],
   Jonathan Weeks [ctb],
   Li Cai [ctb],
@@ -64,4 +64,4 @@
   Michael D. Hunter [ctb],
   Carl F. Falk [ctb]
 Repository: CRAN
-Date/Publication: 2023-08-21 23:20:02 UTC
+Date/Publication: 2025-05-04 10:00:02 UTC

=== debian/changelog ===
r-cran-rpf (1.0.15+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2026 14:25:21 +0900

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-mvtnorm,
                r-cran-lifecycle,
-               r-cran-rcppeigen
-Standards-Version: 4.6.2
+               r-cran-rcppeigen,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rpf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rpf.git
 Homepage: https://cran.r-project.org/package=rpf

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
         r-cran-roxygen2,
         r-cran-ggplot2,
         r-cran-reshape2,
         r-cran-gridextra,
         r-cran-numderiv,
         r-cran-knitr,
         r-cran-markdown
Restrictions: allow-stderr
